Ext.define('TradePortal.view.customlists.Panel', {
		extend: 'Ext.panel.Panel',
		alias: 'widget.customlistspanel',
		border: false,
		id: 'customlists_panel',
		layout: {
			type: 'vbox', 
			pack: 'center',
			align: 'center'
		},

		items: [
			{
				border: false,
				layout: 'vbox',

				items: [
					{
						border: false,
						html: '<small class="breadcrumb_text"> > Custom Lists</small>'
					},
					{
						layout: 'hbox',
						border: false,
						items: [{
							width: 43,
							height: 39,
							baseCls: 'breadcrumbs-home',
							border: false,
							listeners: { el: {
								click: function () {
									Ext.getCmp('main_panel').items.items[1].down('panel').items.each(function(panel) {
										panel.hide();
									});
									Ext.getCmp('home_panel').show();
								}
							}}
						},{
							html: '<div class="breadcrumbs">Custom Lists</div>',
							border: false
						}]
					}
				]
			},
			{
				layout: 'hbox',
				border: false,
				items: [{
				width: 481,
				border: false,
				items: [{
					xtype: "customlistgrid"
				}]
			},{
					width: 481,
					border: false,
					items: [{
						xtype: "customlistgrid2"
					}]
				}]}
		],

		initComponent: function() {
			this.callParent(arguments);
			Ext.getCmp('customlist_grid').getStore().filter('TypeList', 'Generic');
			Ext.getCmp('customlist_grid2').getStore().filter('TypeList', 'Custom');
		}
	});